public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/ipykernel/
Date: Tue, 27 Feb 2024 06:38:15 +0000 (UTC)	[thread overview]
Message-ID: <1709015207.4e96e1cf42abe9d3286108ea0ac473e98ef224b7.mgorny@gentoo> (raw)

commit:     4e96e1cf42abe9d3286108ea0ac473e98ef224b7
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Tue Feb 27 06:26:47 2024 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Tue Feb 27 06:26:47 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4e96e1cf

dev-python/ipykernel: Bump to 6.29.3

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/ipykernel/Manifest                |  1 +
 dev-python/ipykernel/ipykernel-6.29.3.ebuild | 79 ++++++++++++++++++++++++++++
 2 files changed, 80 insertions(+)

diff --git a/dev-python/ipykernel/Manifest b/dev-python/ipykernel/Manifest
index 4ca5f6133ec8..51190852c65c 100644
--- a/dev-python/ipykernel/Manifest
+++ b/dev-python/ipykernel/Manifest
@@ -1,3 +1,4 @@
 DIST ipykernel-6.29.0.tar.gz 160814 BLAKE2B 4f5c650fda125a477ae7f16fad07e968f0f31a97375159ff5d3917181f31ecac3a618927e492332e5d5f69321c43fad69daa4c9bdfc67acc3756775ef855ceec SHA512 f924d8c4471f04349e1c8d0b980f8759e55c37585a4a44e61ba01ed1b96e3aa3897ec6e953e91f8f881debf5e599ab95b679075dcd413e43b8ed0263e8c9ca44
 DIST ipykernel-6.29.1.tar.gz 161082 BLAKE2B f5f5d4f15d08594fbab78675cdc1575a5579b69adeb393fa35d3ef57f56ad642999e5d17a901287a7924d8f7d1b62625d1c81dd96c821ce43bc694a277c63389 SHA512 8691394e76b151561248f66802622a4e4863c51bc26b4cf44e468155ff0f82405b92e69c37ecca8181d4b71736f61658fbf59937e7607a94288c107ea4cbfd74
 DIST ipykernel-6.29.2.tar.gz 161175 BLAKE2B fc63fbaf01403933e7bcbb5b242e48f125a8349aeb2454a9bfd2f564e67f842af546fe4e69e447be2f4f6396d6aabcd6e29a6ff57424f5fcec0ebb1a43c50177 SHA512 5be2b1447b951304cabb7fbefae711aa2510dfd72ee03f0e2d9ec02e1cf44e541c9d8a11a87ab77a9338acb56db5c2cd82b11fa85f296c8a06ce6a8235e394b3
+DIST ipykernel-6.29.3.tar.gz 162794 BLAKE2B 3f0dcd1805d736f3657949cad45d8cacc57b6bdd4d950507eedb12aaae9e5f769174e8be45cd648d13b842b144bab237afa8da187b94f91a699602e795fb2418 SHA512 8726b37341a810318ec9c1585649288b40c3ac6875c82f5752da245ccd74125f5cb1557ca27a8187a8f668943a527345e9311d015b9e4e3095a4e07195a7d5b8

diff --git a/dev-python/ipykernel/ipykernel-6.29.3.ebuild b/dev-python/ipykernel/ipykernel-6.29.3.ebuild
new file mode 100644
index 000000000000..9fa309afc8ca
--- /dev/null
+++ b/dev-python/ipykernel/ipykernel-6.29.3.ebuild
@@ -0,0 +1,79 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( pypy3 python3_{10..12} )
+PYTHON_REQ_USE="threads(+)"
+
+inherit distutils-r1 pypi virtualx
+
+DESCRIPTION="IPython Kernel for Jupyter"
+HOMEPAGE="
+	https://github.com/ipython/ipykernel/
+	https://pypi.org/project/ipykernel/
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~arm64-macos ~x64-macos"
+
+RDEPEND="
+	>=dev-python/comm-0.1.1[${PYTHON_USEDEP}]
+	>=dev-python/ipython-7.23.1[${PYTHON_USEDEP}]
+	>=dev-python/jupyter-client-8[${PYTHON_USEDEP}]
+	>=dev-python/jupyter-core-4.12[${PYTHON_USEDEP}]
+	>=dev-python/matplotlib-inline-0.1[${PYTHON_USEDEP}]
+	dev-python/nest-asyncio[${PYTHON_USEDEP}]
+	dev-python/packaging[${PYTHON_USEDEP}]
+	dev-python/psutil[${PYTHON_USEDEP}]
+	>=dev-python/pyzmq-24[${PYTHON_USEDEP}]
+	>=dev-python/tornado-6.1[${PYTHON_USEDEP}]
+	>=dev-python/traitlets-5.4.0[${PYTHON_USEDEP}]
+"
+# RDEPEND seems specifically needed in BDEPEND, at least jupyter
+# bug #816486
+BDEPEND="
+	${RDEPEND}
+	test? (
+		dev-python/flaky[${PYTHON_USEDEP}]
+		>=dev-python/pytest-asyncio-0.23.5[${PYTHON_USEDEP}]
+		dev-python/pytest-timeout[${PYTHON_USEDEP}]
+		dev-python/ipyparallel[${PYTHON_USEDEP}]
+	)
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+	# debugpy is actually optional
+	sed -i -e '/debugpy/d' pyproject.toml || die
+	distutils-r1_src_prepare
+}
+
+python_compile() {
+	distutils-r1_python_compile
+	# Use python3 in kernel.json configuration, bug #784764
+	sed -i -e '/python3.[0-9]\+/s//python3/' \
+		"${BUILD_DIR}/install${EPREFIX}/usr/share/jupyter/kernels/python3/kernel.json" || die
+}
+
+src_test() {
+	local EPYTEST_DESELECT=(
+		# TODO
+		tests/test_debugger.py::test_attach_debug
+		tests/test_debugger.py::test_breakpoint_in_cell_with_leading_empty_lines
+		tests/test_debugger.py::test_rich_inspect_at_breakpoint
+		tests/test_debugger.py::test_rich_inspect_not_at_breakpoint
+		tests/test_debugger.py::test_set_breakpoints
+		tests/test_debugger.py::test_stop_on_breakpoint
+		tests/test_debugger.py::test_copy_to_globals
+		# hangs?
+		tests/test_eventloop.py::test_tk_loop
+		# doesn't like pyside2?
+		tests/test_eventloop.py::test_qt_enable_gui
+	)
+
+	virtx distutils-r1_src_test
+}


             reply	other threads:[~2024-02-27  6:38 UTC|newest]

Thread overview: 232+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2024-02-27  6:38 Michał Górny [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-07-27  9:44 [gentoo-commits] repo/gentoo:master commit in: dev-python/ipykernel/ Michał Górny
2024-07-27  6:44 Arthur Zamarin
2024-07-12 10:36 Michał Górny
2024-07-02  6:58 Michał Górny
2024-04-11 19:04 Michał Górny
2024-04-11 16:08 Arthur Zamarin
2024-03-28  5:55 Michał Górny
2024-03-13 15:02 Michał Górny
2024-03-13 13:56 Arthur Zamarin
2024-03-02  9:51 Arthur Zamarin
2024-02-10  9:36 Michał Górny
2024-02-08  4:22 Michał Górny
2024-02-06  3:07 Michał Górny
2024-02-03  9:17 Michał Górny
2024-02-03  8:25 Arthur Zamarin
2024-01-16 17:30 Michał Górny
2024-01-13  9:33 Michał Górny
2024-01-13  9:29 Arthur Zamarin
2023-12-27  4:33 Michał Górny
2023-12-09 14:22 Michał Górny
2023-12-09 14:17 Michał Górny
2023-11-28 18:42 Michał Górny
2023-11-25 11:14 Michał Górny
2023-11-25 10:45 Arthur Zamarin
2023-11-21 19:05 Michał Górny
2023-11-20 15:02 Michał Górny
2023-11-10  5:47 Viorel Munteanu
2023-10-25  7:43 Michał Górny
2023-10-06 15:08 Michał Górny
2023-10-06 14:30 Arthur Zamarin
2023-09-05  5:54 Michał Górny
2023-09-02  2:58 Michał Górny
2023-09-01 19:26 Arthur Zamarin
2023-08-07 19:12 Michał Górny
2023-07-26  6:03 Michał Górny
2023-07-24 10:52 Michał Górny
2023-07-24  8:54 Jakov Smolić
2023-07-04  2:59 Michał Górny
2023-06-24  6:10 Michał Górny
2023-06-18 17:13 Michał Górny
2023-06-18 14:47 Sam James
2023-06-13  5:12 Michał Górny
2023-06-09 14:40 Michał Górny
2023-06-09 14:08 Arthur Zamarin
2023-05-16  5:05 Michał Górny
2023-05-08 19:31 Arthur Zamarin
2023-04-28 14:51 Arthur Zamarin
2023-04-28 14:40 Arthur Zamarin
2023-04-28 14:33 Arthur Zamarin
2023-04-14  5:12 Sam James
2023-03-24 19:45 Arthur Zamarin
2023-03-21 20:06 Michał Górny
2023-03-11  7:53 Arthur Zamarin
2023-03-08  9:17 Arthur Zamarin
2023-03-07  7:08 Michał Górny
2023-02-16 20:21 Michał Górny
2023-02-14  4:57 Michał Górny
2023-02-07 19:21 Andrew Ammerlaan
2023-01-21  7:02 Arthur Zamarin
2023-01-21  7:01 Arthur Zamarin
2023-01-17  5:08 Michał Górny
2023-01-12  6:14 Michał Górny
2023-01-11 21:40 Sam James
2023-01-10  6:21 Michał Górny
2022-12-20 20:03 Andrew Ammerlaan
2022-12-20  8:07 Michał Górny
2022-12-11  3:59 Michał Górny
2022-12-10 18:36 Arthur Zamarin
2022-12-10 18:36 Arthur Zamarin
2022-12-10 18:36 Arthur Zamarin
2022-12-10 17:38 Sam James
2022-12-10  9:11 Arthur Zamarin
2022-12-10  9:05 Arthur Zamarin
2022-12-09 13:56 Michał Górny
2022-12-08 16:57 Michał Górny
2022-12-03 16:06 Arthur Zamarin
2022-11-30 19:42 Arthur Zamarin
2022-11-29 20:18 Arthur Zamarin
2022-11-29  6:59 Michał Górny
2022-11-22  2:31 Yixun Lan
2022-11-21 21:01 Arthur Zamarin
2022-11-21 21:01 Arthur Zamarin
2022-11-21 21:01 Arthur Zamarin
2022-11-21 20:53 Arthur Zamarin
2022-11-21 20:53 Arthur Zamarin
2022-11-21 20:53 Arthur Zamarin
2022-11-21 20:53 Arthur Zamarin
2022-11-21 20:48 Arthur Zamarin
2022-11-21 19:16 Arthur Zamarin
2022-11-09 19:50 Arthur Zamarin
2022-11-03 19:41 Arthur Zamarin
2022-11-03 19:30 Arthur Zamarin
2022-10-31 15:49 Michał Górny
2022-10-27  9:48 Andrew Ammerlaan
2022-10-26  4:03 Michał Górny
2022-10-21  5:14 Michał Górny
2022-10-03  6:43 Michał Górny
2022-10-02 19:51 Arthur Zamarin
2022-09-27  2:04 Michał Górny
2022-09-22  7:40 Michał Górny
2022-08-29 18:04 Arthur Zamarin
2022-08-10  8:52 Michał Górny
2022-08-10  8:04 Arthur Zamarin
2022-07-10 18:52 Michał Górny
2022-07-10 16:56 Sam James
2022-07-09  8:41 Michał Górny
2022-06-16  6:06 Michał Górny
2022-06-14  4:26 Michał Górny
2022-06-07  6:54 Michał Górny
2022-05-03 19:47 Arthur Zamarin
2022-04-11 16:07 Michał Górny
2022-04-05  7:53 Michał Górny
2022-04-01 12:27 Michał Górny
2022-04-01  7:45 Michał Górny
2022-04-01  5:15 Arthur Zamarin
2022-03-29  8:33 Michał Górny
2022-03-14 17:04 Michał Górny
2022-02-25 15:53 Michał Górny
2022-02-25 15:53 Michał Górny
2022-02-16 20:15 Michał Górny
2022-02-16 19:50 Arthur Zamarin
2022-01-13 18:43 Michał Górny
2022-01-13 18:40 Arthur Zamarin
2022-01-06 19:55 Arthur Zamarin
2021-12-14 15:43 Guilherme Amadio
2021-12-14 15:12 Guilherme Amadio
2021-12-09 22:39 Michał Górny
2021-12-09 21:15 Arthur Zamarin
2021-11-20  4:47 Michał Górny
2021-11-20  3:54 Sam James
2021-11-19 19:24 Arthur Zamarin
2021-11-19 11:58 Sam James
2021-11-19  9:07 Sam James
2021-11-19  8:47 Sam James
2021-11-19  8:34 Sam James
2021-11-19  7:30 Sam James
2021-11-18  8:10 Sam James
2021-11-17  7:55 Sam James
2021-11-15  6:15 Sam James
2021-11-15  6:02 Sam James
2021-11-15  2:55 Sam James
2021-11-14 20:35 Sam James
2021-11-14  3:43 Sam James
2021-11-11  8:36 Jakov Smolić
2021-11-05 14:57 Jakov Smolić
2021-11-05  2:20 Sam James
2021-10-25 12:56 Andrew Ammerlaan
2021-10-12  4:03 Sam James
2021-10-10 23:45 Sam James
2021-10-06  3:38 Sam James
2021-09-26 17:52 Sam James
2021-09-14  5:17 Sam James
2021-09-12  8:16 Andrew Ammerlaan
2021-09-08 17:27 Michał Górny
2021-09-08  1:25 Sam James
2021-09-07  2:47 Sam James
2021-09-06 21:26 Sam James
2021-08-27 21:21 Yixun Lan
2021-08-26 20:36 Sam James
2021-08-24 18:41 Andrew Ammerlaan
2021-08-10  5:00 Sam James
2021-07-11 10:14 Georgy Yakovlev
2021-07-01 14:45 Michał Górny
2021-07-01 14:42 Michał Górny
2021-06-30 21:19 Michał Górny
2021-06-20  1:45 Sam James
2021-06-05 21:08 Michał Górny
2021-06-05 20:35 Sam James
2021-06-02  1:20 Sam James
2021-05-14  8:14 Michał Górny
2021-05-09  9:39 Michał Górny
2021-05-09  9:15 Agostino Sarubbo
2021-05-06 11:12 Michał Górny
2021-05-06  8:21 Michał Górny
2021-03-31 10:14 Michał Górny
2021-03-25 19:09 Michał Górny
2021-03-25 16:19 Agostino Sarubbo
2021-02-25 14:53 Michał Górny
2021-02-25 13:54 Agostino Sarubbo
2021-02-20 10:10 Michał Górny
2021-01-24 16:38 David Seifert
2021-01-24 11:58 Agostino Sarubbo
2021-01-11 21:22 Michał Górny
2021-01-05 23:26 Michał Górny
2020-12-21 16:28 Michał Górny
2020-09-05 15:25 Sam James
2020-09-05  3:08 Sam James
2020-09-02  9:12 Michał Górny
2020-08-25 12:53 Agostino Sarubbo
2020-08-21 15:36 Agostino Sarubbo
2020-08-18  8:55 Michał Górny
2020-08-03  3:11 Sam James
2020-07-31  0:50 Sam James
2020-07-23 10:00 Michał Górny
2020-07-19 17:18 Michał Górny
2020-07-10  6:30 Michał Górny
2020-07-07 20:01 Michał Górny
2020-07-07  6:35 Michał Górny
2020-06-10  7:31 Michał Górny
2020-06-08 17:36 Michał Górny
2020-03-27 16:30 Michał Górny
2020-03-27 16:30 Michał Górny
2020-03-27 16:30 Michał Górny
2020-03-26 10:24 Agostino Sarubbo
2020-03-26 10:17 Agostino Sarubbo
2020-03-08  8:03 Benda XU
2019-12-27  1:37 Benda XU
2019-12-23  8:05 Benda XU
2019-07-09 11:23 Benda XU
2019-05-03 12:53 Virgil Dupras
2018-10-23 12:37 Benda XU
2018-06-08 20:57 Benda XU
2018-05-16 15:58 Andreas Sturmlechner
2018-05-16 12:28 Agostino Sarubbo
2018-04-22  1:35 Thomas Deutschmann
2018-03-12  2:13 Matt Turner
2018-03-12  0:51 Matt Turner
2017-08-30  8:59 Benda XU
2017-08-19 22:39 Sebastien Fabbro
2017-07-12 19:29 Sebastien Fabbro
2017-03-12 12:31 Zac Medico
2016-11-03 17:37 David Seifert
2016-09-05 21:10 David Seifert
2016-08-30 19:07 David Seifert
2016-08-23 13:09 David Seifert
2016-04-02  8:24 David Seifert
2016-02-28  7:32 Matt Thode
2016-02-25 19:21 Justin Lecher
2016-01-06  7:38 Justin Lecher
2015-12-05 16:41 Justin Lecher
2015-11-28 17:33 Justin Lecher

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1709015207.4e96e1cf42abe9d3286108ea0ac473e98ef224b7.mgorny@gentoo \
    --to=mgorny@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox